From 2d374668802e4ae30299a345af3a409bbf40921d Mon Sep 17 00:00:00 2001
From: Alex Chuang <alex.chuang@amd.com>
Date: Fri, 27 May 2011 15:42:34 +0800
Subject: [PATCH 2/2] Replace 0x0106 with PCI_CLASS_STORAGE_SATA in ata.c.

---
 src/ata.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/ata.c b/src/ata.c
index 1db1838..dff3394 100644
--- a/src/ata.c
+++ b/src/ata.c
@@ -972,12 +972,12 @@ ata_init(void)
     foreachpci(bdf, max) {
         pcicount++;
         if (pci_config_readw(bdf, PCI_CLASS_DEVICE) != PCI_CLASS_STORAGE_IDE)
-            if ((! CONFIG_IDE_TO_AHCI) || (pci_config_readw(bdf, PCI_CLASS_DEVICE) != 0x0106))
+            if ((! CONFIG_IDE_TO_AHCI) || (pci_config_readw(bdf, PCI_CLASS_DEVICE) != PCI_CLASS_STORAGE_SATA))
                 continue;
 
         u8 pciirq = pci_config_readb(bdf, PCI_INTERRUPT_LINE);
         u8 prog_if = pci_config_readb(bdf, PCI_CLASS_PROG);
-        if (CONFIG_IDE_TO_AHCI && (pci_config_readw(bdf, PCI_CLASS_DEVICE) == 0x0106))
+        if (CONFIG_IDE_TO_AHCI && (pci_config_readw(bdf, PCI_CLASS_DEVICE) == PCI_CLASS_STORAGE_SATA))
             prog_if = 0x8F;
         int master = 0;
         if (CONFIG_ATA_DMA && prog_if & 0x80) {
-- 
1.7.4

